Package org.eclipse.emf.cdo.server.db.mapping

# Interface IMappingStrategy2

All Superinterfaces:
  `IMappingStrategy`

public interface IMappingStrategy2 extends IMappingStrategy
Interface to complement `IMappingStrategy`.

Since:
  4.5
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.server.db.mapping.IMappingStrategy

`IMappingStrategy.Props`

## Field Summary

### Fields inherited from interface org.eclipse.emf.cdo.server.db.mapping.IMappingStrategy

`PROP_COLUMN_TYPE_MODIFIER, PROP_FORCE_NAMES_WITH_ID, PROP_MAX_FIELD_NAME_LENGTH, PROP_MAX_TABLE_NAME_LENGTH, PROP_OBJECT_TYPE_CACHE_SIZE, PROP_QUALIFIED_NAMES, PROP_TABLE_NAME_PREFIX`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`needsRevisionPostProcessing()`
`void`
`postProcessRevisions(IDBStoreAccessor accessor, IStoreAccessor.CommitContext context, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`

### Methods inherited from interface org.eclipse.emf.cdo.server.db.mapping.IMappingStrategy

`createListMapping, createMapping, createValueMapping, getClassMapping, getClassMappings, getClassMappings, getFieldName, getListJoin, getProperties, getStore, getTableName, getTableName, handleRevisions, hasAuditSupport, hasBranchingSupport, hasDeltaSupport, queryResources, queryXRefs, rawExport, rawImport, readChangeSet, readObjectIDs, readObjectType, removeMapping, repairAfterCrash, setProperties, setStore`

## Method Details

### needsRevisionPostProcessing

boolean needsRevisionPostProcessing()

### postProcessRevisions

void postProcessRevisions(IDBStoreAccessor accessor, IStoreAccessor.CommitContext context, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)